Bug 73756 - Source contains silly error in (root)/gnupg-1.0.6/include/ttyio.h
Summary: Source contains silly error in (root)/gnupg-1.0.6/include/ttyio.h
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnupg (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-10 10:17 UTC by Sysoltsev Slawa
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version: 1.2.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 20:15:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sysoltsev Slawa 2002-09-10 10:17:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
./gnupg-1.0.6/include/ttyio.h:
#if __GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 5 )
 void tty_printf (const char *fmt, ... ) __attribute__ ((format (printf,1,2)));
#else
 void tty_printf  const char *fmt, ... );
#endif

In non-GNUC branch you've missed '(' before tty_printf parameters.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to build gnupg by non-GNUC compiler

	

Actual Results:  Compilation error.

Expected Results:  Succesfully built package.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.